package f00f.net.irc.martyr.clientstate;

import java.util.Date;
import java.util.Vector;
import java.util.Enumeration;

/**
 * Channel is simply a repository for information about a channel.
 * Contains channel name, topic, who created the topic, when the topic
 * was created, who is in the channel, mode, etc.
 */
public class Channel
{

private String name = null;
private String topic = null;
private String topicAuthor = null;
private Date topicDate = null;
/** 
 * Hopefully we can replace this with a more useful data structure.
 */
private Vector users;

public Channel( String chanName )
{
	this.name = chanName;
	users = new Vector();
}

public String getName()
{
	return name;
}

public void addUser( String name )
{
	users.addElement( name );
}

public void removeUser( String name )
{
	users.removeElement( name );
}

public Enumeration getUsers()
{
	return users.elements();
}

public void setTopic( String topic )
{
	this.topic = topic;
}

public String getTopic()
{
	return topic;
}

public Date getTopicDate()
{
	return topicDate;
}

public void setTopicDate( Date date )
{
	this.topicDate = date;
}

public String getTopicAuthor()
{
	return topicAuthor;
}

public void setTopicAuthor( String author )
{
	this.topicAuthor = author;
}


}



